
/***************************************************************************

                                 ChessV

                   COPYRIGHT (C) 2005 BY GREGORY STRONG

This file is part of ChessV.  ChessV is free software; you can redistribute
it and/or modify it under the terms of the GNU General Public License as 
published by the Free Software Foundation; either version 2 of the License, 
or (at your option) any later version.

ChessV is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
more details; the file 'COPYING' contains the License text, but if for
some reason you need a copy, please write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/



#ifndef FILE__CHESS_DATA_H
#define FILE__CHESS_DATA_H


enum SquareNames {  A1, B1, C1, D1, E1, F1, G1, H1,
					A2, B2, C2, D2, E2, F2, G2, H2,
					A3, B3, C3, D3, E3, F3, G3, H3,
					A4, B4, C4, D4, E4, F4, G4, H4,
					A5, B5, C5, D5, E5, F5, G5, H5,
					A6, B6, C6, D6, E6, F6, G6, H6,
					A7, B7, C7, D7, E7, F7, G7, H7,
					A8, B8, C8, D8, E8, F8, G8, H8  };


extern int openingPawnSquareBonuses[];
extern int openingPawnSquareBonuses_CD[];
extern int pawnSquareBonuses[];
extern int pawnSquareBonuses_CD[];
extern int endgamePawnSquareBonuses[];
extern int bishopSquareBonuses[];
extern int knightSquareBonuses[];
extern int queenSquareBonuses[];
extern int rookSquareBonuses[];
extern int kingSquareBonuses[];
extern int endgameKingSquareBonuses[];
extern int ferzSquareBonuses[];
extern int chameleonSquareBonuses[];
extern int longLeaperSquareBonuses[];
extern int ultimaKingSquareBonuses[];
extern int waffleSquareBonuses[];
extern int fadSquareBonuses[];
extern int archbishopSquareBonuses[];
extern int bedeSquareBonuses[];
extern int chancellorSquareBonuses[];
extern int shortRookSquareBonuses[];
extern int woodyRookSquareBonuses[];
extern int halfDuckSquareBonuses[];
extern int genericSmallCenterBonuses[];
extern int genericLargeCenterBonuses[];
extern int openingUltimaPawnBonuses[];
extern int openingMajorPieceSquareBonuses[];

//	values for posted pieces...
extern int outpost[];


#endif
